@font-face {
    font-family: 'Berold';
    src: url('../fonts/berold.otf') format('opentype');
}

/*Specification*/
html, body {
    max-width: 100%;
    overflow-x: hidden;
}
button:active, button:hover, button:focus, 
input:active, input:hover, input:focus, 
textarea:active, textarea:hover, textarea:focus{
    outline: 0;
    outline-offset: 0;
}
li{
	list-style-type: none;
}
body{
    font-family: 'Berold', sans-serif;
    font-size: clamp(16px, 1.5vw, 18px);
    position: relative;
}
ul{
	padding: 0;
	margin: 0;
}
input:-internal-autofill-selected {
    background-color: rgb(232, 240, 254) !important;
    background-image: none !important;
    color: -internal-light-dark-color(black, white) !important;
}
a, a:hover{
    color: black;
	text-decoration: none;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}
div{
    box-sizing: border-box;
}
.container{
    width: 100%;
    max-width: 70vw;
    margin: 0 auto;
    padding: 0 auto;
}

/*HEADER*/
.header{
	height: 18vh;
  	max-height: 18vh;
  	overflow: hidden;
}
.header__top{
    display: flex;
    align-items: center;
    justify-content: flex-end;
	height: 8vh;
	position: relative;
}
.header__logo{
    display: block;
    margin-right: auto;
    margin-left: auto;
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}
.header__logo img{
	height: auto;
  	max-height: 10vh;
	width: auto;
    display: block;
}
.header__right{
    padding-top: 1vh;
	margin-left: auto;
	max-height: 8vh;
}
.header__phone{
    font-size: clamp(14px, 1.5vw, 20px);
    display: block;
}
.header__basket{
    display: block;
    font-size: clamp(12px, 1.5vw, 18px);
    margin-left: auto;
    text-align: right;
}
.header__menu{}
.header__menu .header__phone, .header__menu .header__basket{
    display: none;
}
.header__menu ul{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 5vh;
}
.header__menu li{
    margin-right: 35px;
    position: relative;
}
.header__menu li:last-child{
    margin-right: 0;
}
.header__menu a{
    font-size: clamp(16px, 2vw, 22px);
    display: block;
}
.header__menu li.active:before {
    position: absolute;
    content: "";
    background-image: url(../img/arrow.png);
    background-repeat: no-repeat;
    background-size: 17px;
    width: 17px;
    height: 20px;
    display: block;
    top: 5px;
    left: 50%;
    transform: translate(-50%, -100%);
}
.header__btn{
    display: block;
    padding: 0 1rem 0 1rem;
    background: black;
    color: white !important;
    width: max-content;
    text-align: center;
    margin-left: auto;
}


/* Main content */
.main-content {
    width: 100%;
	display: flex;
    flex-direction: column;
}

.wrapper {
	width: 100%;
	display: flex;
	flex-direction: column;
	gap: 2rem;
	margin-bottom: 5vh;
	justify-items: center;
	justify-content: center;
	align-items: center;
	align-content: center;
	overflow-y: hidden;
}


/*VIDEO*/
.video {
	margin-top: 1rem;
	height: 78vh;
    width: min(calc(78vh * 16 / 9), 100%);
}

.video video {
    width: 100%;
}

/*GALLERY*/
.gallery {
    width: min(calc(78vh * 16 / 9), 100%);
	height: 100vh;
	min-height: 100vh;
	padding: 0 5vw;
}

.gallery__list {
    display: grid;
	height: 100vh;
	min-height: 100vh;
    grid-template-columns: repeat(3, 1fr);
	gap: 1vw;
	justify-content: center;
}

.gallery__item {
	position: relative;
	width: 100%;
	height: 100%;
}

.gallery__img {
    width: 100%;
    height: 100%;
	object-fit: cover;
}


.gallery__name {
    width: 100%;
    padding: 4px 0;
    background: rgba(255, 255, 255, 0.9);
    font-size: clamp(14px, 1.5vw, 18px);
    text-align: center;
	position: absolute;
	bottom: 0;
	left: 0;
}

/*ABOUT*/
.about{
}
.about__title{
	font-size: clamp(48px, 1.5vw, 52px);
    margin-block: 40px;
}
.about__text{
    line-height: 1.9em;
}



/*FOOTER*/
.footer{
    background-color: #ececec;
    padding: 1rem 0;
}
.footer .container{
    display: flex;
    justify-content: space-between;
}
.footer__logo{}
.footer__logo img{
    display: block;
    width: 15vw;
}
.footer__right{}
.footer__phone{
    text-align: right;
    margin-left: auto;
    display: block;
    font-size: clamp(20px, 1.5vw, 25px);
}
.footer__socials{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin: 1rem 0 1rem 0;
}
.footer__social{
    margin-right: 1rem;
    display: block;
}
.footer__social:last-child{
    margin-right: 0;
}
.footer__social img{
    display: block;
    width: 2vw;
}
.footer__copyright{
    font-size: clamp(16px, 1.5vw, 18px);
    margin-left: auto;
    text-align: right;
}


/*DESCRIPTION*/
.description{
    margin: 40px 0;
}
.description__text{
    line-height: 1.9em;
}


/*CATEGORY*/
.category{}
.category__list{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.category__item{
    margin: 10px 0;
    font-size: 30px;
}




/*menu animate*/
.menu-btn{
  width: 30px;
  height: 30px;
  display: none;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 1000;
}
.menu-icon{
  position: relative;
  width: 30px;
  height: 3px;
  background-color: black;
}
.menu-icon::before {
  position: absolute;
  left: 0;
  top: -8px;
  content: '';
  width: 30px;
  height: 3px;
  background-color: black;
  transition: transform 0.2s ease-in, top 0.2s linear 0.2s;
}
.menu-icon::after {
  position: absolute;
  left: 0;
  top: 8px;
  content: '';
  width: 30px;
  height: 3px;
  background-color: black;
  transition: transform 0.2s ease-in, top 0.2s linear 0.2s;
}
.active .menu-icon{
  background-color: transparent !important;
}
.active .menu-icon::before {
  transform: rotate(45deg);
  top: 0;
  transition: top 0.2s linear, transform 0.2s ease-in 0.2s;
}
.active .menu-icon::after {
  transform: rotate(-45deg);
  top: 0;
  transition: top 0.2s linear, transform 0.2s ease-in 0.2s;
}


/*ARCHIVE*/
.archive{
    padding: 50px 0;
}
.archive__list{}
.archive__item{
    display: flex;
    align-items: center;
    margin-bottom: 25px;
}
.archive__item:last-child{
    margin-bottom: 0;
}
.archive__img{
    display: block;
    width: 250px;
    height: 300px;
    object-fit: cover;
    margin-right: 25px;
}
.archive__right{}
.archive__title{
    font-weight: bold;
    font-size: 20px;
}
.archive__btn{
    width: max-content;
    background: black;
    display: block;
    color: white;
    text-align: center;
    padding: 10px 25px;
}
.archive__description{}
.single{
    padding: 50px 0;
}
.single__box{
    display: flex;
}
.single__img {
    width: 250px;
    height: 300px;
    display: block;
    object-fit: cover;
    margin-right: 25px;
}
.single__text{}
